pwrkap_cli(1)

NAME
pwrkap_cli - Command line monitor and control program for pwrkap

SYNOPSIS
pwrkap_cli host:port

DESCRIPTION
pwrkap_cli is a command-line program that connects to a pwrkap server and downloads the hardware configuration and power configuration domain data from the server. Power use, energy use, and system status are dumped to the screen when the server sends a status update, and raw commands can be sent to the server.

OPTIONS

host:port
    A hostname (or IP address) and a port to which this client should connect.

COMMAND FORMAT
The command format looks like this:

domain_name [ help | dump | cap new_cap ]

COMMANDS

domain_name
    The name of the power configuration domain that the user wants to control.

help
    Displays a short help screen.

dump
    Displays the current hardware configuration and state of the server.

cap new_cap
    Sets a new power cap and reconfigures the hardware to meet the cap.

AUTHOR
Darrick J. Wong <djwong at us dot ibm dot com>

SEE ALSO
pwrkap_gtk(1), pwrkap_aggregate(8), pwrkap_main(8)